﻿@model IEnumerable<BeerOverflow.Web.Models.BreweryViewModel>

@{
    ViewData["Title"] = "ListBreweries";
}

<h1 style="color:#b58900">List of all breweries in our database</h1>

@if (User.Identity.IsAuthenticated)
{
    <p>
        <a style="color:#b58900" asp-action="CreateBrewery">Create New</a>
    </p>
}

<table class="table">
    <thead style="color:white">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr style="color:white">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>

                @if (User.Identity.IsAuthenticated)
                {
                    <td>
                        <a style="color:#b58900" asp-action="EditBrewery" asp-route-id="@item.Id">Edit</a>
                    </td>
                }

                <td>
                    <a style="color:#b58900" asp-action="Details" asp-route-id="@item.Id">Details</a>
                </td>
            </tr>
        }
    </tbody>
</table>
